# API create refund request

* This is the API used to create refund request.
* API:
  * Path: *v2/col/refund-requests*
  * Method: *POST*
  * Request: Content-Type: *application/json*

### **Request Parameter**

<table><thead><tr><th width="180">Parameter</th><th width="140">Data Type</th><th width="80">Required</th><th>Description</th></tr></thead><tbody><tr><td>requestId</td><td>String</td><td>Y</td><td>Refund request id from merchant</td></tr><tr><td>collectionTransId</td><td>String</td><td>Y</td><td>ID of collection transaction being refunded.</td></tr><tr><td>amount</td><td>Number</td><td>Y</td><td>Refund amount.</td></tr><tr><td>bankSwiftCode</td><td>String</td><td>N</td><td>Refund request to bank swiftcode</td></tr><tr><td>bankAccountNumber</td><td>String</td><td>N</td><td>Refund request to bank account number</td></tr><tr><td>bankAccountName</td><td>String</td><td>N</td><td>Refund request to bank account name</td></tr><tr><td>bankBranch</td><td>String</td><td>N</td><td>Refund request to bank branch</td></tr></tbody></table>

### **Response Data**

| Parameter     | Data Type | Description                                                                                |
| ------------- | --------- | ------------------------------------------------------------------------------------------ |
| code          | Number    | Error code, refer to [table of error codes](/docs/collections/integration/error-codes.md). |
| message       | String    | Error description.                                                                         |
| data          | Object    | Refer to [CreateRefundRequestResponse](#createrefundrequestresponse).                      |
| neoResponseId | String    | The ID of NeoX response.                                                                   |

#### CreateRefundRequestResponse

<table><thead><tr><th width="187.33333333333331">Parameter</th><th width="127">Data Type</th><th>Description</th></tr></thead><tbody><tr><td>merchantCode</td><td>String</td><td>Merchant Code</td></tr><tr><td>requestId</td><td>String</td><td>The requestId when creating refund request.</td></tr><tr><td>collectionTransId</td><td>String</td><td>Collection's TransactionId of current refund request</td></tr><tr><td>approvalStatus</td><td>String</td><td>Refund request status, Include:<br>PENDING: Refund request is waiting for approval.<br>APPROVED: Refund request was approved.<br>REJECTED: Refund request was rejected.</td></tr><tr><td>status</td><td>String</td><td>Refund transaction status, Include:<br>SUCCESS: Refund transaction was successful<br>FAILED: Refund transaction was failed</td></tr><tr><td>bankSwiftCode</td><td>String</td><td>Refund/Remitout bank swift code.</td></tr><tr><td>bankAccountNumber</td><td>String</td><td>Refund to bank acount number</td></tr><tr><td>bankAccountName</td><td>String</td><td>Refund to bank acount name.</td></tr><tr><td>amount</td><td>Number</td><td>Amount of refund request in VND</td></tr><tr><td>note</td><td>String</td><td>Note for refund request</td></tr><tr><td>failedReason</td><td>String</td><td>Return failed reason from banking system if refund transaction was failed</td></tr><tr><td>createdAt</td><td>Datetime String (ISO 8601)</td><td>Record created time</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.neox.vn/docs/collections/integration/refund-requests/create-refund-request.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
